---
title: SourceBuffer.appendWindowEnd
slug: Web/API/SourceBuffer/appendWindowEnd
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - SourceBuffer
  - Video
  - appendWindowEnd
---
<div>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}{{draft}}</div>

<p>The <code><strong>appendWindowEnd</strong></code> property of the {{domxref("SourceBuffer")}} interface controls the timestamp for the end of the <a href="https://w3c.github.io/media-source/#append-window">append window</a>, a timestamp range that can be used to filter what media data is appended to the <code>SourceBuffer</code>. Coded media frames with timestamps wthin this range will be appended, whereas those outside the range will be filtered out.</p>

<p>The default value of <code>appendWindowEnd</code> is positive infinity.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myAppendWindowEnd</em> = <em>sourceBuffer</em>.appendWindowEnd;

<em>sourceBuffer</em>.appendWindowEnd = 120.0;
</pre>

<h3 id="Value">Value</h3>

<p>A double, indicating the end time of the append window, in seconds.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>The following exceptions may be thrown when setting a new value for this property.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Explanation</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>InvalidAccessError</code></td>
   <td>An attempt was made to set the value to less than or equal to {{domxref("SourceBuffer.appendWindowStart")}}, or <code>NaN</code>.</td>
  </tr>
  <tr>
   <td><code>InvalidStateError</code></td>
   <td>This {{domxref("SourceBuffer")}} object is being updated (i.e. its {{domxref("SourceBuffer.updating")}} property is currently <code>true</code>), or this <code>SourceBuffer</code> has been removed from the {{domxref("MediaSource")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#idl-def-sourcebuffer-appendwindowend', 'appendWindowEnd')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.appendWindowEnd")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
